---
title: MediaRecorder.isTypeSupported
slug: Web/API/MediaRecorder/isTypeSupported
tags:
  - API
  - Audio
  - Media
  - Media Capture
  - Media Recorder API
  - MediaRecorder
  - Method
  - Reference
  - Video
  - canRecordMimeType
---
<p>{{APIRef("MediaStream Recording")}}</p>

<p><span class="seoSummary">The <strong><code>MediaRecorder.isTypeSupported()</code></strong> static method returns a Boolean which is <code>true</code> if the MIME type specified is one the user agent should be able to successfully record.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>canRecord</em> = MediaRecorder.isTypeSupported(<em>mimeType</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>mimeType</code></dt>
 <dd>The MIME media type to check.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>true</code> if the {{domxref("MediaRecorder")}} implementation is capable of recording {{domxref("Blob")}} objects for the specified MIME type. Recording may still fail if there are insufficient resources to support the recording and encoding process. If the value is <code>false</code>, the user agent is incapable of recording the specified format.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var types = ["video/webm",
             "audio/webm",
             "video/webm\;codecs=vp8",
             "video/webm\;codecs=daala",
             "video/webm\;codecs=h264",
             "audio/webm\;codecs=opus",
             "video/mpeg"];

for (var i in types) {
  console.log( "Is " + types[i] + " supported? " + (MediaRecorder.isTypeSupported(types[i]) ? "Maybe!" : "Nope :("));
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording', '#dom-mediarecorder-istypesupported', 'isTypeSupported()')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.isTypeSupported")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaStream_Recording_API">MediaStream Recording API</a></li>
 <li><a href="/en-US/docs/Web/API/MediaStream_Recording_API/Using_the_MediaStream_Recording_API">Using the MediaStream Recording API</a></li>
 <li><a href="/en-US/docs/Web/Media/Formats">Guide to media types and formats on the web</a></li>
 <li><a href="/en-US/docs/Web/Media/Formats/codecs_parameter">The "codecs" parameter in common media types</a></li>
 <li>{{domxref("MediaStreamTrack")}}</li>
 <li>{{domxref("MediaStream")}}</li>
 <li>{{domxref("MediaCapabilities")}}</li>
</ul>
